commit:     cd21a9376d38b324a0254d91f8aa9d6b5178695a
Author:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Wed Oct  7 20:29:34 2015 +0000
Commit:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Wed Oct  7 20:29:56 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd21a937

dev-python/aiohttp: add version 0.17.4

Package-Manager: portage-2.2.22

 dev-python/aiohttp/Manifest              |  1 +
 dev-python/aiohttp/aiohttp-0.17.4.ebuild | 55 ++++++++++++++++++++++++++++++++
 dev-python/aiohttp/metadata.xml          |  4 +++
 3 files changed, 60 insertions(+)

diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index 9dc53ab..46577c7 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -1 +1,2 @@
 DIST aiohttp-0.14.4.tar.gz 1253273 SHA256 
2338c8506ce7853ac2df7efba731a3fd015a7ee2561afab0d69ddefb43403f5a SHA512 
453626e2acb2da85b39fd9dab01c51bbbbdf3422e2d7ff833e8be141f43d27d046646bafe6d58d96d37457208ecc2347a3724f056152c639c18de99da619538d
 WHIRLPOOL 
42e8e23c3b1c28463617f9137288886ccf2d61fe404e8b06e105e0a48b36b06382a7a58a6e6c91bc38886e09874ba6112300fd6bf3adfce704129a7edbc4936d
+DIST aiohttp-0.17.4.tar.gz 475034 SHA256 
a2f122b41f29eb10772f1600ada5fec849c5dc717c1dcaa05c95bf0712af8843 SHA512 
bca0aa93f51fae32eff383ffbd7790886a822647e77884fb5a26b6d2673429b61cf5483527297740a4b237b3e038934990df1061e32e6617d6a3da10276b9116
 WHIRLPOOL 
a7abec0b3daa84078beee9057b5dfdf021b7522fa6b7f847f65008a061802f2cd61dee34886b833c8465f0a5379af9cb45b1f2117cd0b386b6ea488f3f9f2b3c

diff --git a/dev-python/aiohttp/aiohttp-0.17.4.ebuild 
b/dev-python/aiohttp/aiohttp-0.17.4.ebuild
new file mode 100644
index 0000000..5efb496
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-0.17.4.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: 
/var/cvsroot/gentoo-x86/dev-python/aiohttp/aiohttp-0.14.4-r1.ebuild,v 1.1 
2015/03/16 11:08:45 bman Exp $
+
+EAPI="5"
+
+PYTHON_COMPAT=( python3_3 python3_4 )
+
+inherit distutils-r1
+
+DESCRIPTION="http client/server for asyncio"
+HOMEPAGE="https://github.com/KeepSafe/aiohttp 
https://pypi.python.org/pypi/aiohttp";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples test"
+
+CDEPEND="
+       dev-python/chardet[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 'dev-python/asyncio[${PYTHON_USEDEP}]' 
'python3_3')
+       $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' 'python3_3')
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/cython[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/alabaster-0.6.2[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-newsfeed[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-spelling[${PYTHON_USEDEP}]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${CDEPEND}
+               dev-python/nose[${PYTHON_USEDEP}]
+               www-servers/gunicorn[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       PYTHONPATH="$(PWD):${PYTHONPATH}" nosetests tests/ || die "Tests failed 
under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       use examples && local EXAMPLES=( examples/. )
+
+       distutils-r1_python_install_all
+}

diff --git a/dev-python/aiohttp/metadata.xml b/dev-python/aiohttp/metadata.xml
index 79da0ee..4f715e8 100644
--- a/dev-python/aiohttp/metadata.xml
+++ b/dev-python/aiohttp/metadata.xml
@@ -5,6 +5,10 @@
     <email>[email protected]</email>
     <name>Aaron Bauman</name>
   </maintainer>
+  <maintainer>
+       <email>[email protected]</email>
+       <name>Alex Brandt</name>
+  </maintainer>
   <upstream>
     <remote-id type="pypi">aiohttp</remote-id>
     <remote-id type="github">KeepSafe/aiohttp</remote-id>

Reply via email to